import { StoryObj, Meta } from '@storybook/react';
import Info from '.';

export default {
  title: 'Components/Info',
  component: Info,
  decorators: [(Story) => <div className="flex m-5">{Story()}</div>],
  argTypes: {
    name: {
      control: 'select',
      options: ['ArrowBack', 'DeleteOutline', 'KeyboardArrowLeft', 'Settings'],
    },
    size: {
      control: 'radio',
      options: [16, 20, 24, 28, 32, 40],
    },
  },
} as Meta;
type Story = StoryObj<typeof Info>;

const InfoButton: Story = {
  args: {
    tooltip: 'ArrowBack',
  },
};

export const Default = { ...InfoButton };
